--==============================================================================
-- name:
--   ReadCSVFile()
-- description:
--   read a CSV file and returns content as a table
-- parameters:
--   fileName    : name of the file to be read
-- returns:
--   resultTable : table that contains the content
--==============================================================================
function ReadCSVFile(fileName)

	local fp = assert(io.open (fileName))
    
	if (fp == nil)
	then 
		nxa.LogInfo("Error parsing CSV file: " .. fileName .. " not found")
	end
	
	local resultTable = {}
    
	local rowNumber = 1
	
	while true 
	do

		local line = fp:read()
        
		if line == nil 
		then 
			break
		end
		
		if (string.sub(line, 1, 2) ~= "'")
		then
	
			local cols = {}
			
			local i = 1
			for str in string.gmatch(line, "([^;]+)") do
                cols[i] = str
                i = i + 1
			end
		
			resultTable[rowNumber] = cols
		
			rowNumber = rowNumber + 1
		end
	end 

	return resultTable

end
